//
//  AdPlayerConfigVC.m
//  PokktAdsDemo
//
//  Created by abhinav rathore on 21/09/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import "AdPlayerConfigVC.h"

@interface AdPlayerConfigVC()


@end


@implementation AdPlayerConfigVC

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setNavigationTitle];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


-(void)viewDidAppear:(BOOL)animated
{
    [scrollView setContentSize:CGSizeMake([[UIScreen mainScreen] bounds].size.width, 1000)];
    [self bindData ];
}

-(IBAction)selectConfigProperty:(id)sender
{
    UIButton *btn = (UIButton *)sender;
    [self styleCheckBoxes:btn];
}

-(void) styleCheckBoxes: (UIButton*)chkBoxButton
{
    
    if (chkBoxButton.selected)
    {
        // remove background image
        [self changeCheckBoxImage:chkBoxButton : NO];
        chkBoxButton.selected = NO;
    }
    else
    {
        // set background image
        [self changeCheckBoxImage:chkBoxButton : YES];
        chkBoxButton.selected = YES;
    }
}

-(void) changeCheckBoxImage: (UIButton*) chkBoxButton : (BOOL) iSelected
{
    if(iSelected)
    {
     [chkBoxButton setBackgroundImage:[UIImage imageNamed:@"icons8-Tick Box_50.png"] forState:UIControlStateNormal];
    }else
    {
        [chkBoxButton setBackgroundImage:[UIImage imageNamed:@"icons8-Unchecked Checkbox_50.png"] forState:UIControlStateNormal];
    }
}

-(void) bindData
{
    Utils *utilObj = [[Utils alloc] init];

    txtDefaultSkipTime.text = [Utils getStringUserDefault:(utilObj.propKeyDefaultSkipTime)];
    txtSkipConfirmMessage.text = [Utils getStringUserDefault:(utilObj.propKeySkipConfirmMessage)];
    txtSkipConfirmYesLabel.text = [Utils getStringUserDefault:(utilObj.propKeySkipConfirmYesLabel)];
    txtSkipConfirmNoLabel.text = [Utils getStringUserDefault:(utilObj.propKeySkipConfirmNoLabel)];
    txtSkipTimerMessage.text = [Utils getStringUserDefault:(utilObj.propKeySkipTimerMessage)];
    txtIncentiveMessage.text = [Utils getStringUserDefault:(utilObj.propKeySkipIncentiveMessage)];
    chkShouldAllowMute.selected = [Utils getBoolUserDefault:utilObj.propKeyChkShouldAllowMute];
    [self changeCheckBoxImage:chkShouldAllowMute : chkShouldAllowMute.isSelected];
    chkShouldCollectFeedback.selected = [Utils getBoolUserDefault:utilObj.propKeyChkShouldCollectFeedback];
    [self changeCheckBoxImage:chkShouldCollectFeedback : chkShouldCollectFeedback.selected];
    chkAudioEnabled.selected = [Utils getBoolUserDefault:utilObj.propKeyChkAudioEnabled];
    [self changeCheckBoxImage:chkAudioEnabled : chkAudioEnabled.selected];
    chkShouldAllowSkip.selected = [Utils getBoolUserDefault:utilObj.propKeyChkShouldAllowSkip];
    [self changeCheckBoxImage:chkShouldAllowSkip : chkShouldAllowSkip.selected];
    chkShouldSkipConfirm.selected = [Utils getBoolUserDefault:utilObj.propKeyChkShouldSkipConfirm];
    [self changeCheckBoxImage:chkShouldSkipConfirm : chkShouldSkipConfirm.selected];
}

-(IBAction)sendAdPlayerViewConfig:(id)sender
{
    PokktAdPlayerViewConfig *playerConfig = [[PokktAdPlayerViewConfig alloc] init];
    NSString *defaultSkipTime = [Utils isVaildString:(txtDefaultSkipTime.text)] ?txtDefaultSkipTime.text : @"0";
    
    playerConfig.defaultSkipTime = [defaultSkipTime intValue];
    playerConfig.skipConfirmMessage = txtSkipConfirmMessage.text;
    playerConfig.skipConfirmYesLabel = txtSkipConfirmYesLabel.text;
    playerConfig.skipConfirmNoLabel = txtSkipConfirmNoLabel.text;
    playerConfig.skipTimerMessage = txtSkipTimerMessage.text;
    playerConfig.incentiveMessage = txtIncentiveMessage.text;
    playerConfig.shouldAllowMute = chkShouldAllowMute.isSelected;
    playerConfig.shouldCollectFeedback = chkShouldCollectFeedback.isSelected;
    playerConfig.isAudioEnabled = chkAudioEnabled.isSelected;
    playerConfig.shouldAllowSkip = chkShouldAllowSkip.isSelected;
    playerConfig.shouldConfirmSkip = chkShouldSkipConfirm.isSelected;
    
    [PokktAds setPokktAdPlayerViewConfig:playerConfig];
}

-(IBAction)clearData:(id)sender
{
    txtDefaultSkipTime.text = @"";
    txtSkipConfirmMessage.text = @"";
    txtSkipConfirmYesLabel.text = @"";
    txtSkipConfirmNoLabel.text = @"";
    txtSkipTimerMessage.text = @"";
    txtIncentiveMessage.text = @"";
    chkShouldAllowMute.selected = NO;
    [self changeCheckBoxImage:chkShouldAllowMute : NO];
    chkShouldCollectFeedback.selected = NO;
    [self changeCheckBoxImage:chkShouldCollectFeedback : NO];
    chkAudioEnabled.selected = NO;
    [self changeCheckBoxImage:chkAudioEnabled : NO];
    chkShouldAllowSkip.selected = NO;
    [self changeCheckBoxImage:chkShouldAllowSkip : NO];
    chkShouldSkipConfirm.selected = NO;
    [self changeCheckBoxImage:chkShouldSkipConfirm : NO];
    
    Utils *utilObj = [[Utils alloc] init];
    
    [Utils saveStringUserDefault:(utilObj.propKeyDefaultSkipTime):(@"")];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmMessage):(@"")];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmYesLabel):(@"")];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmNoLabel):(@"")];
    [Utils saveStringUserDefault:(utilObj.propKeySkipTimerMessage):(@"")];
    [Utils saveStringUserDefault:(utilObj.propKeySkipIncentiveMessage):(@"")];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldAllowMute):(NO)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldCollectFeedback):(NO)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkAudioEnabled):(NO)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldAllowSkip):(NO)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldSkipConfirm):(NO)];
}
-(void) savePokktPlayerViewConfig
{
    if(![self hasDefualtValues])
    {
    Utils *utilObj = [[Utils alloc] init];

    [Utils saveStringUserDefault:(utilObj.propKeyDefaultSkipTime):(txtDefaultSkipTime.text)];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmMessage):(txtSkipConfirmMessage.text)];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmYesLabel):(txtSkipConfirmYesLabel.text)];
    [Utils saveStringUserDefault:(utilObj.propKeySkipConfirmNoLabel):(txtSkipConfirmNoLabel.text)];
    [Utils saveStringUserDefault:(utilObj.propKeySkipTimerMessage):(txtSkipTimerMessage.text)];
    [Utils saveStringUserDefault:(utilObj.propKeySkipIncentiveMessage):(txtIncentiveMessage.text)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldAllowMute):(chkShouldAllowMute.isSelected)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldCollectFeedback):(chkShouldCollectFeedback.isSelected)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkAudioEnabled):(chkAudioEnabled.isSelected)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldAllowSkip):(chkShouldAllowSkip.isSelected)];
    [Utils saveBooleanUserDefault:(utilObj.propKeyChkShouldSkipConfirm):(chkShouldSkipConfirm.isSelected)];
    }
}

-(BOOL) hasDefualtValues{
    if(![Utils isVaildString:(txtDefaultSkipTime.text)] &&
       ![Utils isVaildString:(txtSkipConfirmMessage.text)] &&
       ![Utils isVaildString:(txtSkipConfirmYesLabel.text)] &&
       ![Utils isVaildString:(txtSkipConfirmNoLabel.text)] &&
       ![Utils isVaildString:(txtSkipTimerMessage.text)] &&
       ![Utils isVaildString:(txtIncentiveMessage.text)] &&
       !chkShouldAllowMute.isSelected &&
       !chkShouldCollectFeedback.isSelected &&
       !chkAudioEnabled.isSelected &&
       !chkShouldAllowSkip.isSelected &&
       !chkShouldSkipConfirm.isSelected){
        return YES;
    }else{
        return NO;
    }
}

- (void)viewDidDisappear:(BOOL)animated
{
    [self savePokktPlayerViewConfig];
}

-(void)setNavigationTitle
{
    UILabel *label = [[UILabel alloc] initWithFrame:CGRectZero];
    label.backgroundColor = [UIColor clearColor];
    label.font = [UIFont fontWithName:@"BankGothicBold" size:22];
    label.shadowColor = [UIColor colorWithWhite:0.0 alpha:0.5];
    label.textAlignment = UITextAlignmentCenter;
    label.textColor = [UIColor darkGrayColor];
    self.navigationItem.titleView = label;
    label.text = @"Ad Player View Config";
    [label sizeToFit];
    
    [self.navigationController.navigationBar setTintColor:[UIColor darkGrayColor]];
    
    [[UIBarButtonItem appearanceWhenContainedIn:[UINavigationBar class], nil] setTitleTextAttributes:
     @{UITextAttributeTextColor:[UIColor darkGrayColor],
       UITextAttributeTextShadowOffset:[NSValue valueWithUIOffset:UIOffsetMake(0, 1)],
       UITextAttributeTextShadowColor:[UIColor whiteColor],
       UITextAttributeFont:[UIFont fontWithName:@"BankGothicBold" size:19]
       }
                                                                                            forState:UIControlStateNormal];
}

@end
