//
//  ScrollOutStreamAd.m
//  PokktAdsDemo
//
//  Created by Suraj Singh on 12/10/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import "ScrollOutStreamAd.h"
#import "WebViewOutStreamAd.h"

@interface ScrollOutStreamAd ()

@end

@implementation ScrollOutStreamAd

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.    
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
    
    [PokktOutStreamAds setPokktOutStreamAdsDelegate:self];
   
    self.navigationItem.rightBarButtonItem =
    [[UIBarButtonItem alloc]
      initWithBarButtonSystemItem:UIBarButtonSystemItemAdd
      target:self
      action:@selector(Add:)];
   
}

-(IBAction)Add:(id)sender
{
    [PokktOutStreamAds disappearScrollViewOutStreamAd:@"default" inContainer:outStreamAdView];
    [PokktVideoAds showRewarded:@"default1" withViewController:self];
}

-(void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    [PokktOutStreamAds loadOutstreamAd:@"default" placeHolder:outStreamAdView scrollView:scrollView];
    
}

-(void)viewDidDisappear:(BOOL)animated
{
    [PokktOutStreamAds disappearScrollViewOutStreamAd:@"default" inContainer:outStreamAdView];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)outStreamAdReady:(NSString *)screenName
{
    [UIView animateWithDuration:0.2 animations:^{
        self.inReadConstraint.constant = 200;
        [self.view layoutIfNeeded];
    }];
    
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Ready for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdDisplayed: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad displayed for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdCompleted: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad complete for %@",screenName];
    
    [self showAlertWithMessage:msg];
}



- (void)outStreamAdFailedToShow: (NSString *)screenName errorMessage: (NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad falied to show for %@",screenName];
    [self showAlertWithMessage:msg];
}


-(void)showAlertWithMessage:(NSString *)msg
{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"" message:msg delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];
}

@end
