#import "TableViewOutStreamAd.h"

@interface TableViewOutStreamAd ()

@end

@implementation TableViewOutStreamAd
@synthesize adView;

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
    
    [PokktOutStreamAds setPokktOutStreamAdsDelegate:self];
    
    self.navigationItem.rightBarButtonItem =
    [[UIBarButtonItem alloc]
     initWithBarButtonSystemItem:UIBarButtonSystemItemAdd
     target:self
     action:@selector(Add:)];
    
}

-(IBAction)Add:(id)sender
{
    [PokktOutStreamAds disappearTableViewOutStreamAd:@"default" inContainer:table];
    [PokktVideoAds showRewarded:@"default1" withViewController:self];
}

-(void)viewDidDisappear:(BOOL)animated
{
    [PokktOutStreamAds disappearTableViewOutStreamAd:@"default" inContainer:table];
}

-(void)viewDidAppear:(BOOL)animated
{
    NSIndexPath *path = [NSIndexPath indexPathForItem:2 inSection:0];
    [PokktOutStreamAds loadOutstreamAd:@"default" atIndexPath:path tableView:table];
}


- (nonnull UITableViewCell *)tableView:(nonnull UITableView *)tableView cellForRowAtIndexPath:(nonnull NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier];
    }

    cell.textLabel.text = @"Pokkt Ads";
    cell.detailTextLabel.text = @"OutStream Ad";
    
    return cell;
}

- (NSInteger)tableView:(nonnull UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
   return 16;
}

- (void)outStreamAdReady:(NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Ready for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdDisplayed: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad displayed for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdCompleted: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad complete for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdFailedToShow: (NSString *)screenName errorMessage: (NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad falied to show for %@",screenName];
    [self showAlertWithMessage:msg];
}


-(void)showAlertWithMessage:(NSString *)msg
{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"" message:msg delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];
}


@end
