#import "WebViewOutStreamAd.h"

@interface WebViewOutStreamAd ()

@end

@implementation WebViewOutStreamAd

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    NSString *appId = [settings objectForKey:@"appId"];
    NSString *securityKey = [settings objectForKey:@"secKey"];
    
    /**
     * In [PokktAds setPokktConfig: securityKey:]
     * Replace "AppID" and "SecurityKey"  with the one assigned to you by Pokkt.
     *
     */
    
    [PokktAds setPokktConfigWithAppId:appId securityKey:securityKey];
    
    // optional, set it to true if you want to enable logs for PokktSDK
    
    [PokktDebugger setDebug:YES];
    
    [PokktOutStreamAds setPokktOutStreamAdsDelegate:self];
    self.navigationItem.rightBarButtonItem =
    [[UIBarButtonItem alloc]
     initWithBarButtonSystemItem:UIBarButtonSystemItemAdd
     target:self
     action:@selector(Add:)];

    //NSURL *url = [NSURL URLWithString:@"https://s3-ap-southeast-1.amazonaws.com/pokktdocumentation/windows/test.html"];
    NSURL *url = [NSURL URLWithString:@"https://s3-ap-southeast-1.amazonaws.com/sdkplugin/test/test.html"];
    NSURLRequest *request = [NSURLRequest requestWithURL:url];
    webView.delegate = self;
    [webView loadRequest:request];
}

- (BOOL)webView:(UIWebView *)webView shouldStartLoadWithRequest:(NSURLRequest *)request navigationType:(UIWebViewNavigationType)navigationType
{
    if ([PokktOutStreamAds checkAndHandleRequest:request forScreenName:@"default"])
    {
        return NO;
    }
    
    return YES;
}

//- (void)webViewDidStartLoad:(UIWebView *)webView;

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    [PokktOutStreamAds initAgent:@"default"];
}

//- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error;

-(IBAction)Add:(id)sender
{
    [PokktOutStreamAds disappearWebViewOutStreamAd:@"default" inContainer:webView];
    [PokktVideoAds showRewarded:@"default1" withViewController:self];
}

-(IBAction)dismissVC:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}
-(void)viewDidDisappear:(BOOL)animated
{
    [PokktOutStreamAds disappearWebViewOutStreamAd:@"default" inContainer:webView];
}

-(void)viewDidAppear:(BOOL)animated
{
    [PokktOutStreamAds loadOutstreamAd:@"default" inWebView:webView];
}

- (void)outStreamAdReady:(NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad Ready for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdDisplayed: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad displayed for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdCompleted: (NSString *)screenName
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad complete for %@",screenName];
    [self showAlertWithMessage:msg];
}

- (void)outStreamAdFailedToShow: (NSString *)screenName errorMessage: (NSString *)errorMessage
{
    NSString *msg = [NSString stringWithFormat:@"OutStream ad falied to show for %@",screenName];
    [self showAlertWithMessage:msg];
}


-(void)showAlertWithMessage:(NSString *)msg
{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"" message:msg delegate:nil cancelButtonTitle:@"OK" otherButtonTitles:nil];
    [alert show];
}


@end
