//
//  PokktDemoOptionVC.m
//  PokktAdsDemo
//
//  Created by Pokkt on 16/01/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import "PokktDemoOptionVC.h"
#import "VideoAdsVC.h"
#import "BannerAdsVC.h"
#import "InterstitialAdsVC.h"
#import "SettingVC.h"
#import "TestOutStream.h"
#import "OutStreamAdsVC.h"
//#import <TestFloat/TestFloat.h>
//#import <TestFloat/DebugConfig.h>
//#import "TestFloat/TestFloat.h"

@interface PokktDemoOptionVC ()
    @property (nonatomic, retain) AVPlayer *player;
@end


@implementation PokktDemoOptionVC

- (void)viewDidLoad {
    [super viewDidLoad];
    [self setBorderColor];
   
    NSUserDefaults *settings = [NSUserDefaults standardUserDefaults];
    
    //[settings setValue:@"f27b5e801e21091002cc9deeec94ff97" forKey:@"appId"];
    //[settings setValue:@"22603129eedb39e89f1535a47c9226bc" forKey:@"secKey"];
    
    //[settings setValue:@"bee5046523ed9f055d08ab7205f4c3c1" forKey:@"appId"];
    //[settings setValue:@"29d527b0d0c1aa5bb2073bd120e61820" forKey:@"secKey"];
    
    //[settings setValue:@"cc41e865391d6ea371b18aff27cc10e6" forKey:@"appId"];
    //[settings setValue:@"4a069e89fe4a4e4f58a26f8bff2974ba" forKey:@"secKey"];
    
    //[settings setValue:@"9a4d45982bb19a5eca17f5558a12cfba" forKey:@"appId"];
    //[settings setValue:@"7ea2d61a1b779611db285930658584e6" forKey:@"secKey"];

    [settings synchronize];
    
   logoImgV.transform = CGAffineTransformMakeRotation(-M_1_PI);
    
    [self registerOrientationNotification];
    
    [logoImgV mas_makeConstraints:^(MASConstraintMaker *make) {
       make.left.equalTo(self.view.mas_left).with.offset(-50);
       make.right.equalTo(self.view.mas_right).with.offset(70);
        make.top.equalTo(self.view.mas_top).with.offset([UIScreen mainScreen].bounds.size.height/2 -100);
        make.bottom.equalTo(self.view.mas_bottom).with.offset(-([UIScreen mainScreen].bounds.size.height - 100));
    
    }];
    
    sdkVersion.text = [NSString stringWithFormat:@"v%@",[PokktAds getSDKVersion]];
    
    PokktAnalyticsDetails *analyticsDetail = [[PokktAnalyticsDetails alloc] init];
    analyticsDetail.eventType = GOOGLE_ANALYTICS;
    analyticsDetail.googleTrackerID = @"xyz";
    [PokktAds setPokktAnalyticsDetail:analyticsDetail];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)viewDidAppear:(BOOL)animated
{
    [scrollView setContentSize:CGSizeMake([UIScreen mainScreen].bounds.size.width, 141)];
}

-(IBAction)videoAdsDemo:(id)sender
{
//    [PokktAds testVast];
   VideoAdsVC *video = [[VideoAdsVC alloc] initWithNibName:@"VideoAdsVC" bundle:nil];
   [self.navigationController pushViewController:video animated:YES];
}

-(IBAction)outStreamAdsDemo:(id)sender
{
    OutStreamAdsVC *outStream = [[OutStreamAdsVC alloc] initWithNibName:@"OutStreamAdsVC" bundle:nil];
    [self.navigationController pushViewController:outStream animated:YES];
}

-(IBAction)interstitialAdsDemo:(id)sender
{
    InterstitialAdsVC *interstitial = [[InterstitialAdsVC alloc] initWithNibName:@"InterstitialAdsVC" bundle:nil];
    [self.navigationController pushViewController:interstitial animated:YES];
}

-(IBAction)bannerAdsDemo:(id)sender
{
    BannerAdsVC *banner = [[BannerAdsVC alloc] initWithNibName:@"BannerAdsVC" bundle:nil];
    [self.navigationController pushViewController:banner animated:YES];
}

-(IBAction)settingVC:(id)sender
{
    SettingVC *setting = [[SettingVC alloc] initWithNibName:@"SettingVC" bundle:nil];
    [self.navigationController pushViewController:setting animated:YES];
}

-(void)setBorderColor
{
    [videoAdsBtn.layer setBorderColor:[UIColor darkGrayColor].CGColor];
    [videoAdsBtn.layer setBorderWidth:1];
    
    [outStreamAdsBtn.layer setBorderColor:[UIColor darkGrayColor].CGColor];
    [outStreamAdsBtn.layer setBorderWidth:1];
    
    [interstitialAdsBtn.layer setBorderColor:[UIColor darkGrayColor].CGColor];
    [interstitialAdsBtn.layer setBorderWidth:1];
    
    [bannerAdsBtn.layer setBorderColor:[UIColor darkGrayColor].CGColor];
    [bannerAdsBtn.layer setBorderWidth:1];
    
    [settingBtn.layer setBorderColor:[UIColor darkGrayColor].CGColor];
    [settingBtn.layer setBorderWidth:1];
}

#pragma mark - Orienation

-(void)registerOrientationNotification
{
    UIDeviceOrientation  m_CurrentOrientation = [[UIDevice currentDevice] orientation];
    
    if (m_CurrentOrientation == UIDeviceOrientationLandscapeLeft
        || m_CurrentOrientation == UIDeviceOrientationLandscapeRight )
    {
        
    }
    [[UIDevice currentDevice] beginGeneratingDeviceOrientationNotifications];
    
    [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(deviceOrientationDidChange:) name: UIDeviceOrientationDidChangeNotification object: nil];
    
    
}

- (UIInterfaceOrientationMask)supportedInterfaceOrientations
{
    return UIInterfaceOrientationMaskAll;
}

- (void)deviceOrientationDidChange:(NSNotification *)notification
{
    UIDeviceOrientation  m_CurrentOrientation = [[UIDevice currentDevice] orientation];
    if (m_CurrentOrientation == UIDeviceOrientationLandscapeLeft || m_CurrentOrientation == UIDeviceOrientationLandscapeRight)
    {
        [scrollView setContentSize:CGSizeMake([UIScreen mainScreen].bounds.size.width, 441)];
    }
    else if (m_CurrentOrientation == UIDeviceOrientationPortrait || m_CurrentOrientation == UIDeviceOrientationPortraitUpsideDown)
    {
        [scrollView setContentSize:CGSizeMake([UIScreen mainScreen].bounds.size.width, 241)];
    }
}


@end
