//
//  Utils.m
//  PokktAdsDemo
//
//  Created by abhinav rathore on 25/09/17.
//  Copyright © 2017 Pokkt. All rights reserved.
//

#import "Utils.h"

@implementation Utils
#define ISVALIDSTRING(str) (![str isKindOfClass:[NSNull class]] && str != nil && str.length > 0)

-(id) init
{
    self = [super init];
    if (self){
        // AdPlayerViewConfig
        _propKeyDefaultSkipTime = @"KEY_DEFAULT_SKIP_TIME";
        _propKeySkipConfirmMessage = @"KEY_SKIP_CONFIRM_MESSAGE";
        _propKeySkipConfirmYesLabel = @"KEY_SKIP_CONFIRM_YES_LABEL";
        _propKeySkipConfirmNoLabel = @"KEY_SKIP_CONFIRM_NO_LABEL";
        _propKeySkipTimerMessage = @"KEY_SKIP_TIMER_MESSAGE";
        _propKeySkipIncentiveMessage = @"KEY_SKIP_INCENTIVE_MESSAGE";
        _propKeyChkShouldAllowMute = @"KEY_SHOULD_ALLOW_MUTE";
        _propKeyChkShouldCollectFeedback = @"KEY_SHOULD_COLLECT_FEEDBACK";
        _propKeyChkAudioEnabled = @"KEY_AUDIO_ENABLED";
        _propKeyChkShouldAllowSkip = @"KEY_SHOULD_ALLOW_SKIP";
        _propKeyChkShouldSkipConfirm = @"KEY_SHOULD_SKIP_CONFIRM";
        
        //UserConfig
        _propKeyUserName = @"KEY_USER_NAME";
        _propKeyUserAge = @"KEY_USER_AGE";
        _propKeyUserSex = @"KEY_USER_SEX";
        _propKeyUserLocation = @"KEY_USER_LOCATION";
        _propKeyUserBirthday = @"KEY_USER_BIRTHDAY";
        _propKeyUserFacebookId = @"KEY_USER_FACEBOOK_ID";
        _propKeyUserTwitterHandle = @"KEY_USER_TWITTER_HANDLE";
        _propKeyUserEducationInfo = @"KEY_USER_EDUCATION_INFO";
        _propKeyUserNationality = @"KEY_USER_NATIONALITY";
        _propKeyUserEmploymentStatus = @"KEY_USER_EMPLOYMENT_STATUS";
        _propKeyUserEmailAddress = @"KEY_USER_EMAIL_ADDRESS";
        _propKeyUserMaturityRating = @"KEY_USER_NAME_MATURTIY_RATING";
        _propKeyUserMobileNumber = @"KEY_USER_NAME_MOBILE_NUMBER";
    
    }
    return self;
}

+(BOOL)isVaildString:(NSString *)string
{
    if (![string isKindOfClass:[NSNull class]] && string != nil && string.length > 0) {
        return YES;
    }
    
    return NO;
}

+(void) saveStringUserDefault:(NSString*) key :(NSString*) value{
    value = [Utils isVaildString:(value)] ?value : @"";
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    [preferences setObject:value forKey:key];
    [preferences synchronize];
}

+(void) saveIntUserDefault:(NSString*) key :(NSInteger) value{
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    [preferences setInteger:value forKey:key];
    [preferences synchronize];
}

+(void) saveBooleanUserDefault:(NSString*) key :(BOOL) value{
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    //[preferences setBool:value forKey:key];
    [preferences setObject:[NSNumber numberWithBool:value] forKey:key];
    [preferences synchronize];
}

+(NSString*) getStringUserDefault: (NSString*) key{
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    if ([preferences objectForKey:key] != nil)
    {
        NSString* value = [preferences stringForKey:key];
        return value;
    }
    return @"";
}

+(NSInteger) getIntegerUserDefault: (NSString*) key{
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    if ([preferences objectForKey:key] != nil)
    {
     const NSInteger value = [preferences integerForKey:key];
        return value;
    }
    return 0;
}

+(BOOL) getBoolUserDefault: (NSString*) key{
    NSUserDefaults *preferences = [NSUserDefaults standardUserDefaults];
    if ([preferences objectForKey:key] != nil)
    {
        return [[preferences objectForKey:key] boolValue];
    }
    return NO;
}
@end
